Get the explainable GEO Score using the compact brand route
curl --request GET \
--url https://api.example.com/api/v1/w/{brand}/score \
--cookie geo.session=import requests
url = "https://api.example.com/api/v1/w/{brand}/score"
headers = {"cookie": "geo.session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'geo.session='}};
fetch('https://api.example.com/api/v1/w/{brand}/score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspace": "<string>",
"date": "<string>",
"value": 50,
"delta": 123,
"n": 1,
"formulaVersion": "geo-score-v1",
"components": [
{
"label": "<string>",
"description": "<string>",
"rawValue": 123,
"score": 50,
"weight": 1,
"normalizedWeight": 1,
"n": 1
}
],
"missingComponents": [
"<unknown>"
],
"trend": [
{
"date": "<string>",
"value": 50,
"n": 1
}
],
"volumeProxy": {
"source": "engines.yaml grounded usage weights",
"engineWeights": {}
}
}API Reference
Get the explainable GEO Score using the compact brand route
GET
/
api
/
v1
/
w
/
{brand}
/
score
Get the explainable GEO Score using the compact brand route
Authorizations
cookieAuthbearerAuth
Signed HttpOnly browser session cookie
Path Parameters
Pattern:
^[a-z0-9-]+$Query Parameters
Pattern:
^\d{4}-\d{2}-\d{2}$Response
200 - application/json
Success
Required range:
0 <= x <= 100Required range:
x >= 0Available options:
geo-score-v1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I